Subject: bug#19888: closed (Re: bug#19888: [check][fail])

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Feb 2015 23:04:02 +0000

Your bug report

#19888: [check][fail]

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19888: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19888
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19888: [check][fail]
From: [email-masked] (Ludovic Courtès)
To: Daniel Kochmański <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Feb 2015 00:03:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Daniel Kochmański <[email-masked]> skribis:

> I'm encountering an error when building guix from git (linux, archlinux, aur
> package guix-git) - make check returns three failed checks (see
> attachments).

[...]

> ./configure: ./config.status: /tmp/packerbuild-1000/guix-git/guix-git/src/guix/test-tmp/store/s5j6jzyqy26f0: bad interpreter: No such file or directory

I sounds like the shebang is actually longer than Linux’s static limit.

Indeed, the string
“/tmp/packerbuild-1000/guix-git/guix-git/src/guix/test-tmp/store/wzk9i3vyr53xiyxl6ar7ykyifxhfxqpv-bootstrap-binaries-0/bin/bash”
is exactly 126 characters, but BINPRM_BUF_SIZE in Linux, which accounts
for the entire shebang plus trailing zero, is 128.

Commit b69c5c2 works around that by skipping tests that would otherwise
hit this limit.

I will also add configure-time checks to at least warn about the risk of
such problems.

Thanks for the report!

Ludo’.

Subject: [check][fail]
From: Daniel Kochmański <[email-masked]>
To: [email-masked]
Date: Tue, 17 Feb 2015 16:48:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm encountering an error when building guix from git (linux, archlinux, aur
package guix-git) - make check returns three failed checks (see
attachments).

First line of mentioned in test-suite.log file config.status is "#!
/bin/sh" - hashbang, space and /bin/sh.

Best regards,
Daniel

-- 
Daniel Kochmański | Poznań, Poland
;; aka jackdaniel

"Be the change that you wish to see in the world." - Mahatma Gandhi